de.vc.io.rtf.writer

## Class RTFWriter

- java.lang.Object
- - de.vc.io.rtf.writer.RTFWriter

- All Implemented Interfaces:
    TokenOutput

      public class RTFWriter
      extends java.lang.Object
      implements TokenOutput

  RTF writer for writing RTF tokens into a stream.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RTFWriter(java.io.OutputStream out)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `org.apache.commons.logging.Log` | `getLog()`
    `int` | `getMaxLineLength()`
    `void` | `setLog(org.apache.commons.logging.Log log)`
    `void` | `setMaxLineLength(int maxLineLength)`
    `void` | `write(AbstractRTFToken token)`
    `void` | `writeNewLine()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RTFWriter

          public RTFWriter(java.io.OutputStream out)

  - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `TokenOutput`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(AbstractRTFToken token)
                     throws java.io.IOException

      Specified by:
        `write` in interface `TokenOutput`
      Throws:
        `java.io.IOException`

    - #### writeNewLine

          public void writeNewLine()
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getLog

          public org.apache.commons.logging.Log getLog()

    - #### getMaxLineLength

          public int getMaxLineLength()

    - #### setLog

          public void setLog(org.apache.commons.logging.Log log)

    - #### setMaxLineLength

          public void setMaxLineLength(int maxLineLength)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.